// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/login/captcha": {
            "post": {
                "description": "该接口用于发送短信验证码，限制验证码的发送频率和每天发送的次数。",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "sms"
                ],
                "summary": "发送短信验证码",
                "parameters": [
                    {
                        "description": "发送短信验证码的请求参数",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/login.SsoSendSmsCodeParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "短信验证码发送成功",
                        "schema": {
                            "$ref": "#/definitions/dapi.ResponseCommon"
                        }
                    }
                }
            }
        },
        "/api/v1/login/login": {
            "post": {
                "description": "该接口用于用户通过手机号和密码进行登录。如果登录失败，系统会记录错误信息并限制登录次数。",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "login"
                ],
                "summary": "用户登录",
                "parameters": [
                    {
                        "description": "用户登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/login.SsoLoginParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回Token",
                        "schema": {
                            "$ref": "#/definitions/login.SsoLoginResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/login/register": {
            "post": {
                "description": "该接口用于用户通过手机号、密码、验证码等信息进行注册。如果注册成功，返回用户的Token。",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "register"
                ],
                "summary": "用户注册",
                "parameters": [
                    {
                        "description": "用户注册信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/login.SsoRegisterParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "注册成功返回Token",
                        "schema": {
                            "$ref": "#/definitions/login.SsoRegisterResponse"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dapi.ResponseCommon": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回Code 200 成功 其他是失败",
                    "type": "integer"
                },
                "count": {
                    "description": "条数",
                    "type": "integer"
                },
                "message": {
                    "description": "返回信息"
                }
            }
        },
        "login.SsoLoginParams": {
            "type": "object",
            "properties": {
                "mobile": {
                    "description": "登陆手机号",
                    "type": "string"
                },
                "passWord": {
                    "description": "密码",
                    "type": "string"
                }
            }
        },
        "login.SsoLoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回Code 200 成功 其他是失败",
                    "type": "integer"
                },
                "count": {
                    "description": "条数",
                    "type": "integer"
                },
                "data": {
                    "description": "数据列表",
                    "type": "object",
                    "properties": {
                        "token": {
                            "description": "返回token",
                            "type": "string"
                        }
                    }
                },
                "message": {
                    "description": "返回信息"
                }
            }
        },
        "login.SsoRegisterParams": {
            "type": "object",
            "properties": {
                "captcha": {
                    "description": "验证码",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱（可选）",
                    "type": "string"
                },
                "invite": {
                    "description": "邀请码（可选）",
                    "type": "string"
                },
                "mobile": {
                    "description": "手机号",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                }
            }
        },
        "login.SsoRegisterResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回Code 200 成功 其他是失败",
                    "type": "integer"
                },
                "count": {
                    "description": "条数",
                    "type": "integer"
                },
                "data": {
                    "type": "object",
                    "properties": {
                        "token": {
                            "type": "string"
                        }
                    }
                },
                "message": {
                    "description": "返回信息"
                }
            }
        },
        "login.SsoSendSmsCodeParams": {
            "type": "object",
            "properties": {
                "mobile": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
